import request from '@/utils/request'

// 查询留言举报列表
export function listFeedback(query) {
  return request({
    url: '/xq/feedback/list',
    method: 'get',
    params: query
  })
}

// 查询留言举报详细
export function getFeedback(id) {
  return request({
    url: '/xq/feedback/' + id,
    method: 'get'
  })
}

// 新增留言举报
export function addFeedback(data) {
  return request({
    url: '/xq/feedback',
    method: 'post',
    data: data
  })
}

// 修改留言举报
export function updateFeedback(data) {
  return request({
    url: '/xq/feedback',
    method: 'put',
    data: data
  })
}

// 删除留言举报
export function delFeedback(id) {
  return request({
    url: '/xq/feedback/' + id,
    method: 'delete'
  })
}
